// 外部中断模块
// 杭州秒寻科技有限公司
// 周涛
// 2023-11-14

#ifndef EXTI_H
#define EXTI_H

#include "sysdef.h"

#define EXTI_SYNC_SEND_COUNTER 3 // 接收到PPS信号的计数器

// 供外部使用接口
void exti_init();
void exti_enable_sync_tx_int();
void exti_disable_sync_tx_int();
void exti_set_sync_timer_enabled_flag(uint8 byFlag);

// 内部接口
void exti_init_rx_pps1();
void exti_init_tx_sync();

#endif